2018-08-24 10:39:17 UTC
272 MB
1.11rc2
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:79324aeae468dc95e9d1ad7d17eccb16f424671f297c1c8231f48ad8b2a5a949 - 16.12% (43.9 MB)
[#001] sha256:d55059f59399b1edb44f6fccf01b4b41c46365022205a35f92fa4aee831f1bac - 3.77% (10.3 MB)
[#002] sha256:b748c8a9e197a5c36217dc0236e60923d398eef3c44073cffeed563cb61421c3 - 1.6% (4.34 MB)
[#003] sha256:d33fbb92cee00a6946f3439c773b2a26dfb2db55c4c789ca3e7b53c3c7840823 - 18.07% (49.2 MB)
[#004] sha256:48105a2d2fdec0c63440dcac18aa357da3b64267c32814d155100296d7710c85 - 21.75% (59.2 MB)
[#005] sha256:dac7616c2e6c87ae49cb6387f2510db52c37ef8f4acd6542d3fe3ad1d3962a12 - 38.69% (105 MB)
[#006] sha256:93506fa56a2197d9a77521250acdd1b3c12da432326a7efe328d9dce320b0d56 - 0.0% (126 Bytes)
/bin/sh -c #(nop) ADD file:be09029a70a8ca76c88918bd3070fb0cbd97606c95450ec1d27efa9f78536d6f in /
2018-07-17 10:49:20 UTC/bin/sh -c #(nop) CMD ["bash"]
2018-07-17 14:34:44 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2018-07-17 14:34:55 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2018-07-17 14:35:45 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2018-07-17 21:44:54 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2018-08-24 10:38:52 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11rc2
2018-08-24 10:39:15 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='7d3fc1dec64b056cbd22ffd80bb9733725c1296aabfd58cc92bab8a5c6560e03' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='502272db03f6c6883fec5c9e17730b469966d87f9c07e6a306637ddf0fe83526' ;; arm64) goRelArch='linux-arm64'; goRelSha256='5b160c1ea4c863f82d5d9ebad51edc08f5a5ecf368d315c8aff2c99420fb075c' ;; i386) goRelArch='linux-386'; goRelSha256='a1982f3af77875c1e8f7c5056ce815236a62902472aceb95fc66e47555d88010' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='d58470aa1e79282b35f7b61cb8d1ac3f0cbecd6d837076795a30003c947feef2' ;; s390x) goRelArch='linux-s390x'; goRelSha256='85f56c3847eb1ba6b1faf14869671b6d7c31d5ef0082dc1c32a2c53a5e831c76' ;; *) goRelArch='src'; goRelSha256='5947695c5289ddb6ddc22d01d498b94ddb86bb6775593d772156c4e72a482516'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version
2018-08-24 10:39:16 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2018-08-24 10:39:16 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2018-08-24 10:39:17 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2018-08-24 10:39:17 UTC/bin/sh -c #(nop) WORKDIR /go
2018-08-24 09:35:34 UTC
2.19 GB
668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59
GIT_DOWNLOAD_URLhttps://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip
GIT_TAGv2.11.1.windows.1
GIT_VERSION2.11.1
GOLANG_VERSION1.11rc2
GOPATHC:\gopath
[#000] sha256:d9e8b01179bfc94a5bdb1810fbd76b999aa52016001ace2d3a4c4bc7065a9601 - 70.62% (1.55 GB)
[#001] sha256:fd59519ea2c2d73a5cba6e562d012a127d08d86dfc5067535eef141406c3750b - 22.56% (506 MB)
[#002] sha256:595cc1655e57da5d50a2e822ee129ee8e86e86e5873f2d763a68fae6b3990104 - 0.0% (1.17 KB)
[#003] sha256:6f6d2b299c84ae2e198fb2b867116f6839b0e1caf9b096c955bd800645c3afad - 0.0% (1.17 KB)
[#004] sha256:41f3e4f4392aedec4db7eded9a3a921914ab0825445dd1aaf24324b1c856aacc - 0.0% (1.16 KB)
[#005] sha256:60530ba8dc94c45f62a432fcdb659a12f8eb409a141f67f77dd4cb7db11ff55a - 0.0% (1.17 KB)
[#006] sha256:4c4222224cd6691d2bca899f785e6348ac7457df577c6d3183d5f205519e23d1 - 0.0% (1.17 KB)
[#007] sha256:9285900c73b0e42d1f15038b5940d3045dcaf2af5f984343a06e9df1b56c703b - 1.24% (27.7 MB)
[#008] sha256:63186bdf69850e38a987b556a2216cb9afb81c15f48fd361475351f188d9e76c - 0.0% (1.17 KB)
[#009] sha256:e416a24534076d63b3e6fd0c30a55aeb81ce3a198bc149bdf919c6770f4b9b6a - 0.01% (301 KB)
[#010] sha256:1a001047069de3e2f3bc2ff244a3547c1b92df6477b8129a4905e1429c6c69b1 - 0.0% (1.18 KB)
[#011] sha256:24f99ed8df7a9abe75afac11b7b3cd5c8b6ebc3013c55c17fd9ff104400e49c4 - 5.57% (125 MB)
[#012] sha256:629ac4af73b928d9f990cb59c4ac1a201f6c06ee21f21aa2db141c38b78e31bb - 0.0% (1.31 KB)
Apply image 10.0.17134.1
2018-08-06 18:21:55 UTCInstall update 10.0.17134.228
2018-08-23 10:50:22 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2018-08-23 10:50:23 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.11.1
2018-08-23 10:50:24 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.11.1.windows.1
2018-08-23 10:50:25 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip
2018-08-23 10:50:26 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59
2018-08-23 10:52:11 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' git --version'; git --version; Write-Host 'Complete.';
2018-08-23 10:52:12 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath
2018-08-23 10:53:07 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);
2018-08-24 09:29:17 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.11rc2
2018-08-24 09:35:32 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://golang.org/dl/go{0}.windows-amd64.zip' -f $env:GOLANG_VERSION); Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = 'edd1ad3f94ef31eacfe267f30df00ac832cc9547e88de03e1368ae23630070eb'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Complete.';
2018-08-24 09:35:34 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath
2018-08-24 01:27:40 UTC
282 MB
1.11rc2
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:55cbf04beb7001d222c71bfdeae780bda19d5cb37b8dbd65ff0d3e6a0b9b74e6 - 15.35% (43.2 MB)
[#001] sha256:1607093a898cc241de8712e4361dcd907898fff35b945adca42db3963f3827b3 - 3.64% (10.2 MB)
[#002] sha256:9a8ea045c9261c180a34df19cfc9bb3c3f28f29b279bf964ee801536e8244f2f - 1.47% (4.14 MB)
[#003] sha256:d4eee24d4dacb41c21411e0477a741655303cdc48b18a948632c31f0f3a70bb8 - 16.96% (47.7 MB)
[#004] sha256:9c35c9787a2f7a0fbd6829b8ee0df1aebe44929788186d352b3a12f2046b3948 - 19.51% (54.9 MB)
[#005] sha256:9c621b6d3260e0ff79f8e39187f7b5a4886700aa7c78a7a850e3fb9e44886503 - 43.08% (121 MB)
[#006] sha256:9efd8b0ca052149a36ca66e5e4f075f4ca82e7a2753e2f78d446dd53750d9832 - 0.0% (126 Bytes)
/bin/sh -c #(nop) ADD file:370028dca6e8ca9ed228549d52231cf8139515cc3a14c00aaed75a60b679775f in /
2018-07-17 00:27:24 UTC/bin/sh -c #(nop) CMD ["bash"]
2018-07-17 03:12:45 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2018-07-17 03:13:02 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2018-07-17 03:13:48 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2018-07-17 12:30:04 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2018-08-24 01:27:07 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11rc2
2018-08-24 01:27:25 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='7d3fc1dec64b056cbd22ffd80bb9733725c1296aabfd58cc92bab8a5c6560e03' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='502272db03f6c6883fec5c9e17730b469966d87f9c07e6a306637ddf0fe83526' ;; arm64) goRelArch='linux-arm64'; goRelSha256='5b160c1ea4c863f82d5d9ebad51edc08f5a5ecf368d315c8aff2c99420fb075c' ;; i386) goRelArch='linux-386'; goRelSha256='a1982f3af77875c1e8f7c5056ce815236a62902472aceb95fc66e47555d88010' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='d58470aa1e79282b35f7b61cb8d1ac3f0cbecd6d837076795a30003c947feef2' ;; s390x) goRelArch='linux-s390x'; goRelSha256='85f56c3847eb1ba6b1faf14869671b6d7c31d5ef0082dc1c32a2c53a5e831c76' ;; *) goRelArch='src'; goRelSha256='5947695c5289ddb6ddc22d01d498b94ddb86bb6775593d772156c4e72a482516'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version
2018-08-24 01:27:38 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2018-08-24 01:27:39 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2018-08-24 01:27:40 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2018-08-24 01:27:40 UTC/bin/sh -c #(nop) WORKDIR /go
2018-08-24 09:29:09 UTC
3.06 GB
668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59
GIT_DOWNLOAD_URLhttps://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip
GIT_TAGv2.11.1.windows.1
GIT_VERSION2.11.1
GOLANG_VERSION1.11rc2
GOPATHC:\gopath
[#000] sha256:5847a47b8593f7c39aa5e3db09e50b76d42aa8898c0440c70cc9c69747d4c479 - 69.31% (2.12 GB)
[#001] sha256:c4047f78756c2319eb99557ec7139906cf11af6c91aefcc0e44ac49a5481d8e4 - 25.53% (799 MB)
[#002] sha256:ddd10e03dfdc774fc9b5f720df0030a8f59a8c2c78e843c72b45c30af480dc60 - 0.0% (1.16 KB)
[#003] sha256:8c12058357a053c6542d38c7a21e113d4ce7a615e5eb4f8807c4230d1b4031ea - 0.0% (1.16 KB)
[#004] sha256:cd90e596423afd7a8f1e01b0a8d2d231f19b6e640f1c5e4b5de7c49e597ad7d7 - 0.0% (1.17 KB)
[#005] sha256:54632cb246968a723c80e586ff81c81da034144191691b10cbaa26ceb8dbf4a0 - 0.0% (1.17 KB)
[#006] sha256:5bf35363b2dd3eb1a4bb0e62d2db26a4a2defa6ca083a9dee30f73056e80d028 - 0.0% (1.17 KB)
[#007] sha256:bf3cff204ef4c60216860767897bfa56b59ae3014ac7e76295086bba5e8cefd2 - 0.89% (27.8 MB)
[#008] sha256:aa232763dbc5580f4156b40c2519f368a45b93a7d91097d45474e894e1dbae2d - 0.0% (1.17 KB)
[#009] sha256:5f6d57d06ca4925eb2814abf9499002d83469fa132f97689c46663f159390605 - 0.14% (4.51 MB)
[#010] sha256:b26160a57a7526c7553d0607f7a8433eadfd266d05312aa055c207807c606fbf - 0.0% (1.17 KB)
[#011] sha256:8af9f966b943f4bd867dca806afb2adfe23f2cd4ca26ae7355c5f888b6b67756 - 4.12% (129 MB)
[#012] sha256:c164e2e199e443b602a773afee06bc5ef624a7b978112f7db0e0085975c9c69a - 0.0% (1.32 KB)
Apply image 10.0.16299.15
2018-08-08 23:20:54 UTCInstall update 10.0.16299.611
2018-08-15 09:39:55 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2018-08-23 10:41:07 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.11.1
2018-08-23 10:41:08 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.11.1.windows.1
2018-08-23 10:41:09 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip
2018-08-23 10:41:10 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59
2018-08-23 10:42:36 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' git --version'; git --version; Write-Host 'Complete.';
2018-08-23 10:42:38 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath
2018-08-23 10:43:34 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);
2018-08-24 09:22:48 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.11rc2
2018-08-24 09:29:07 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://golang.org/dl/go{0}.windows-amd64.zip' -f $env:GOLANG_VERSION); Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = 'edd1ad3f94ef31eacfe267f30df00ac832cc9547e88de03e1368ae23630070eb'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Complete.';
2018-08-24 09:29:09 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath
2018-08-24 09:22:37 UTC
5.3 GB
668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59
GIT_DOWNLOAD_URLhttps://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip
GIT_TAGv2.11.1.windows.1
GIT_VERSION2.11.1
GOLANG_VERSION1.11rc2
GOPATHC:\gopath
[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 71.57% (3.79 GB)
[#001] sha256:6631c2d2a60cd7ee5b334c2725b03e4d4976abb9a19c8e8dc9b806b3752745a6 - 25.36% (1.34 GB)
[#002] sha256:3e7b18583f4b1d198a1b0f222de8583f8565481a4b667be0863f398eaad783dd - 0.0% (1.17 KB)
[#003] sha256:03b679707990911db06e417ee415391ab49bbc2ffcf1de2567c03bfe49f886aa - 0.0% (1.17 KB)
[#004] sha256:f1e3bcd827afbf10c585f5f3c94755187d50391b4562c6c29b65c6f5f33991c2 - 0.0% (1.16 KB)
[#005] sha256:1546d3d7838915c43d1426749344b49f04378aea046c6153eaa3028227176883 - 0.0% (1.18 KB)
[#006] sha256:f358492519165911ca86c3ca8e162e66d40ac5b489716979cd8012271df746a8 - 0.0% (1.17 KB)
[#007] sha256:b7946f07b69c61143eddb456d7f12d81e4c0ee1e9400b89450d680a13ebc2b7a - 0.52% (28.1 MB)
[#008] sha256:0fe6089d5b9e99a950ab9dbdaa757a13d23f6716a85566dc5fc6f6fa705b1f38 - 0.0% (1.17 KB)
[#009] sha256:2d3f9a33f61ee1a3cf5c3e9d36f9f0e5ae233c869ca4ea267e88ab4b8c5c1800 - 0.09% (4.76 MB)
[#010] sha256:f6c48b0b91a9b905674e25df14f7682235b4c3e234f7d71b74f37f41f6b702b8 - 0.0% (1.17 KB)
[#011] sha256:5133b617cfbaa1dced7784cda51d3a0f2963cd0158e1b0b356393011ad371363 - 2.46% (134 MB)
[#012] sha256:17737a406b60a043e9fdef17ac167a0d1b8e9c6207857cac846dae638b9136f0 - 0.0% (1.31 KB)
Apply image 10.0.14393.0
2018-08-13 17:52:23 UTCInstall update 10.0.14393.2430
2018-08-15 09:35:25 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2018-08-23 10:30:21 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.11.1
2018-08-23 10:30:22 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.11.1.windows.1
2018-08-23 10:30:23 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip
2018-08-23 10:30:24 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59
2018-08-23 10:32:12 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' git --version'; git --version; Write-Host 'Complete.';
2018-08-23 10:32:13 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath
2018-08-23 10:33:33 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);
2018-08-24 09:15:34 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.11rc2
2018-08-24 09:22:36 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://golang.org/dl/go{0}.windows-amd64.zip' -f $env:GOLANG_VERSION); Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = 'edd1ad3f94ef31eacfe267f30df00ac832cc9547e88de03e1368ae23630070eb'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Complete.';
2018-08-24 09:22:37 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath
2018-08-24 11:58:06 UTC
238 MB
1.11rc2
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:a92bc499a4699bc1d9bd6631daec00b7b440346221ce91af635e3460f7d4d70b - 16.86% (40.1 MB)
[#001] sha256:d56e34dc5db45e25c590c9a353c3562d66546b06312f418f9aae4661c28ee94f - 3.78% (9 MB)
[#002] sha256:948d2574fcb06c4081812a267179437a8d624eba8741a8fb5a6e3ef655c3dcff - 1.57% (3.73 MB)
[#003] sha256:94ced04c5b3fc619ca9252df05a702d37000cbcc3fbac10e5e485428deba85ae - 18.59% (44.2 MB)
[#004] sha256:15b6302ebab8f482cd218939332af3eb2acc1c67052757f7b28697e14e0a13d7 - 18.41% (43.8 MB)
[#005] sha256:e1d8f646a3df4e18408aad2c6d8a30c035d2d25fc47aea56366127f1781815b9 - 40.78% (97 MB)
[#006] sha256:a2523e09d2c551087dda53702f44e550a55bb74aea281e495aea61e212f85e9d - 0.0% (155 Bytes)
/bin/sh -c #(nop) ADD file:77cbe27c4436cc4c9d81bee6c5ae0fee0c6d1708813d34abd2af2d3ebd7d96a5 in /
2018-07-17 12:05:26 UTC/bin/sh -c #(nop) CMD ["bash"]
2018-07-17 13:46:48 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2018-07-17 13:46:56 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2018-07-17 13:47:40 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2018-07-17 17:58:16 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2018-08-24 11:57:34 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11rc2
2018-08-24 11:57:55 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='7d3fc1dec64b056cbd22ffd80bb9733725c1296aabfd58cc92bab8a5c6560e03' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='502272db03f6c6883fec5c9e17730b469966d87f9c07e6a306637ddf0fe83526' ;; arm64) goRelArch='linux-arm64'; goRelSha256='5b160c1ea4c863f82d5d9ebad51edc08f5a5ecf368d315c8aff2c99420fb075c' ;; i386) goRelArch='linux-386'; goRelSha256='a1982f3af77875c1e8f7c5056ce815236a62902472aceb95fc66e47555d88010' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='d58470aa1e79282b35f7b61cb8d1ac3f0cbecd6d837076795a30003c947feef2' ;; s390x) goRelArch='linux-s390x'; goRelSha256='85f56c3847eb1ba6b1faf14869671b6d7c31d5ef0082dc1c32a2c53a5e831c76' ;; *) goRelArch='src'; goRelSha256='5947695c5289ddb6ddc22d01d498b94ddb86bb6775593d772156c4e72a482516'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version
2018-08-24 11:58:00 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2018-08-24 11:58:00 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2018-08-24 11:58:01 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2018-08-24 11:58:06 UTC/bin/sh -c #(nop) WORKDIR /go
2018-08-24 01:27:51 UTC
243 MB
1.11rc2
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:24e48664c69560cde9534aadde23364122f1feb02b5db0ab3776983a4788ea63 - 16.92% (41.1 MB)
[#001] sha256:cbcf842c718cc953be45905967fc6a0114f55314ce412b80107e20d8b43fdcdb - 3.8% (9.24 MB)
[#002] sha256:317d79a9c0a5c766d03c1c253fa09f645ed7321dc3a80e0ae33599958677cd1d - 1.6% (3.9 MB)
[#003] sha256:a390be6b2f0349f7391582a305479410441bcb0329b8daa800d13f3921fd39b7 - 18.84% (45.8 MB)
[#004] sha256:94a0d029b36d67dd678c31d091d0d1d44daae01a0f91a80445446578ffb01e49 - 19.23% (46.7 MB)
[#005] sha256:b44b3dc68b83a19adc04a341a16caff58b63d1096f8dd5d78bbb28b202a0ab10 - 39.6% (96.2 MB)
[#006] sha256:ef41cd36bfa54472610f3030a389e1263723ae4c965a251ec763dd2eedbcde27 - 0.0% (125 Bytes)
/bin/sh -c #(nop) ADD file:5e1a1aab339b0b1e3047eeab5d0c6c74ad3f388d0407dc86f41e4a78b99c6fd8 in /
2018-07-17 08:47:23 UTC/bin/sh -c #(nop) CMD ["bash"]
2018-07-17 14:51:45 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2018-07-17 14:52:06 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2018-07-17 14:54:31 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2018-07-18 04:25:05 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2018-08-24 01:27:13 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11rc2
2018-08-24 01:27:45 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='7d3fc1dec64b056cbd22ffd80bb9733725c1296aabfd58cc92bab8a5c6560e03' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='502272db03f6c6883fec5c9e17730b469966d87f9c07e6a306637ddf0fe83526' ;; arm64) goRelArch='linux-arm64'; goRelSha256='5b160c1ea4c863f82d5d9ebad51edc08f5a5ecf368d315c8aff2c99420fb075c' ;; i386) goRelArch='linux-386'; goRelSha256='a1982f3af77875c1e8f7c5056ce815236a62902472aceb95fc66e47555d88010' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='d58470aa1e79282b35f7b61cb8d1ac3f0cbecd6d837076795a30003c947feef2' ;; s390x) goRelArch='linux-s390x'; goRelSha256='85f56c3847eb1ba6b1faf14869671b6d7c31d5ef0082dc1c32a2c53a5e831c76' ;; *) goRelArch='src'; goRelSha256='5947695c5289ddb6ddc22d01d498b94ddb86bb6775593d772156c4e72a482516'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version
2018-08-24 01:27:47 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2018-08-24 01:27:48 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2018-08-24 01:27:50 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2018-08-24 01:27:51 UTC/bin/sh -c #(nop) WORKDIR /go
2018-08-24 08:51:24 UTC
250 MB
1.11rc2
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:4d37f09838fa8757d02699f103191e672c0ecde0fcf23bb3706d1343831762fb - 17.39% (43.5 MB)
[#001] sha256:22b62820a77d74ffab7785bdebc26e90a2ad429b6a23be61002b575c308f717e - 3.79% (9.48 MB)
[#002] sha256:b71a75676a8f5e4b583626a0edc6859aa782e4d90d17995e1e8251146eedfbe4 - 1.64% (4.09 MB)
[#003] sha256:ce2868b335fa3529e1c024e3f109aa32681130cb83eaadc6c37f7adf1b2d63e6 - 19.1% (47.7 MB)
[#004] sha256:9153a3afb78fb00db7239f66b6c3dc1581a5e75aa2acb88837fa553712776954 - 20.13% (50.3 MB)
[#005] sha256:c11f5076d8df4b4486a3a645f1aa7ebd928cc735e02d011ae13cc995fe5f7cdd - 37.95% (94.9 MB)
[#006] sha256:7df77fc43a054f7dee3a068a0a5e8aac8593ff9d1c7fec849c76e9c2599105fb - 0.0% (156 Bytes)
/bin/sh -c #(nop) ADD file:692c439870d267b1a84ee3f6c44eb8a4a8342eef759391242613964e31747b24 in /
2018-07-17 08:20:07 UTC/bin/sh -c #(nop) CMD ["bash"]
2018-07-17 13:10:24 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2018-07-17 13:11:29 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2018-07-17 13:15:12 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2018-07-17 21:54:14 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2018-08-24 08:50:55 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11rc2
2018-08-24 08:51:15 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='7d3fc1dec64b056cbd22ffd80bb9733725c1296aabfd58cc92bab8a5c6560e03' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='502272db03f6c6883fec5c9e17730b469966d87f9c07e6a306637ddf0fe83526' ;; arm64) goRelArch='linux-arm64'; goRelSha256='5b160c1ea4c863f82d5d9ebad51edc08f5a5ecf368d315c8aff2c99420fb075c' ;; i386) goRelArch='linux-386'; goRelSha256='a1982f3af77875c1e8f7c5056ce815236a62902472aceb95fc66e47555d88010' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='d58470aa1e79282b35f7b61cb8d1ac3f0cbecd6d837076795a30003c947feef2' ;; s390x) goRelArch='linux-s390x'; goRelSha256='85f56c3847eb1ba6b1faf14869671b6d7c31d5ef0082dc1c32a2c53a5e831c76' ;; *) goRelArch='src'; goRelSha256='5947695c5289ddb6ddc22d01d498b94ddb86bb6775593d772156c4e72a482516'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version
2018-08-24 08:51:17 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2018-08-24 08:51:18 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2018-08-24 08:51:23 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2018-08-24 08:51:24 UTC/bin/sh -c #(nop) WORKDIR /go
2018-08-24 11:41:39 UTC
245 MB
1.11rc2
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:9351e2bf09f4d9a6beab73bfd3f913106d30008c3ebde119c4b5820670de53e1 - 17.61% (43.1 MB)
[#001] sha256:10c6d95a7f071ed59620c691d7cb2ba7909eebd13ad42f2edea64fa6345b1194 - 4.0% (9.79 MB)
[#002] sha256:c4fda1014bc69bc1831d085530e0e2092c9eaa1f92f6e0861aa060dc4580c9b9 - 1.7% (4.16 MB)
[#003] sha256:9ee6f36da521265c10265dc58eb783f0fcec8fdfef13b9b8520618833e2208a0 - 19.67% (48.1 MB)
[#004] sha256:7b447b317dd4925937d6474bc6283857e25e25c167cbbfe03c75bb33603fa51f - 17.88% (43.8 MB)
[#005] sha256:8fce0461f66ccf0afa291b23b8f2d8320b84a34a5c18bb10253db1e2da3dafec - 39.14% (95.8 MB)
[#006] sha256:49765e5a96dd94cc507dffc3bd782b50d7622257c886d299f48c597ac08185e5 - 0.0% (125 Bytes)
/bin/sh -c #(nop) ADD file:8359a87f8de229cd148a6a7f227042a80cb73366ce79cb1a866426a6a91103e7 in /
2018-07-17 11:43:18 UTC/bin/sh -c #(nop) CMD ["bash"]
2018-07-17 13:21:02 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2018-07-17 13:21:06 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2018-07-17 13:21:33 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2018-07-17 16:25:58 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2018-08-24 11:41:28 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11rc2
2018-08-24 11:41:37 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='7d3fc1dec64b056cbd22ffd80bb9733725c1296aabfd58cc92bab8a5c6560e03' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='502272db03f6c6883fec5c9e17730b469966d87f9c07e6a306637ddf0fe83526' ;; arm64) goRelArch='linux-arm64'; goRelSha256='5b160c1ea4c863f82d5d9ebad51edc08f5a5ecf368d315c8aff2c99420fb075c' ;; i386) goRelArch='linux-386'; goRelSha256='a1982f3af77875c1e8f7c5056ce815236a62902472aceb95fc66e47555d88010' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='d58470aa1e79282b35f7b61cb8d1ac3f0cbecd6d837076795a30003c947feef2' ;; s390x) goRelArch='linux-s390x'; goRelSha256='85f56c3847eb1ba6b1faf14869671b6d7c31d5ef0082dc1c32a2c53a5e831c76' ;; *) goRelArch='src'; goRelSha256='5947695c5289ddb6ddc22d01d498b94ddb86bb6775593d772156c4e72a482516'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version
2018-08-24 11:41:38 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2018-08-24 11:41:38 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2018-08-24 11:41:38 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2018-08-24 11:41:39 UTC/bin/sh -c #(nop) WORKDIR /go